-- #702
CREATE TABLE site (
    siteid               int           not null
,   currencyid           char(3)       null
,   localeid             varchar(5)    not null
,   isstandalone         bit           not null
,   domainname           nvarchar(255)  null
,   cachedpagesstring    varchar(255)  null
,   loginrequired        bit           not null
,   logincookie          bit           not null
,   mailencoding         varchar(30)   null
,   hassslcertificate    bit           not null
,   webserverscriptnamepart varchar(255)  null
,   defaultpagesize      int           null
,   ispagecacheused      bit           not null
,   pagecachelastinvalidation datetime      null
,   isclosed             bit           not null
,   maxagepagesstring    varchar(255)  null
,   usemobilesf          bit           not null

,   constraint pk_site                          primary key (siteid)
,   constraint fk_site_object                   foreign key (siteid)
        references object                           (objectid)
,   constraint fk_site_currency                 foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_site_locale                   foreign key (localeid)
        references locale                           (localeid)
)
GO
